package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import org.apache.xpath.operations.Bool;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 采购合同-质保金信息表
 * </p>
 *
 * @author liutao
 * @since 2022-06-13
 */
@TableName("purch_contract_retention_info_history")
public class PurchContractRetentionInfoHistory extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 是否有质保金 0:否,1:有
     **/
    @TableField("is_retention")
    private Boolean retention;

    /**
     * 质保金比例
     */
    @TableField("retention_percent")
    private BigDecimal retentionPercent;

    /**
     * 质保金是否有上限 0:否,1:有
     **/
    @TableField("is_limit")
    private Boolean top;

    /**
     * 质保金上限
     */
    @TableField("retention_limit")
    private BigDecimal retentionLimit;

    /**
     * 质保金释放规则
     */
    @TableField("release_method")
    private String releaseMethod;

    /**
     * 质保金释放时间
     */
    @TableField("release_time")
    private String releaseTime;

    /**
     * 释放日期
     */
    @TableField("release_date")
    private Date releaseDate;

    /**
     * 释放天数
     */
    @TableField("release_days")
    private Integer releaseDays;

    /**
     * 采购合同基本信息表Id
     */
    @TableField("purch_contract_basic_info_history_id")
    private Long purchContractBasicInfoHisId;


    public BigDecimal getRetentionPercent() {
        return retentionPercent;
    }

    public void setRetentionPercent(BigDecimal retentionPercent) {
        this.retentionPercent = retentionPercent;
    }

    public Boolean getRetention() {
        return retention;
    }

    public void setRetention(Boolean retention) {
        this.retention = retention;
    }

    public Boolean getTop() {
        return top;
    }

    public void setTop(Boolean top) {
        this.top = top;
    }

    public BigDecimal getRetentionLimit() {
        return retentionLimit;
    }

    public void setRetentionLimit(BigDecimal retentionLimit) {
        this.retentionLimit = retentionLimit;
    }

    public String getReleaseMethod() {
        return releaseMethod;
    }

    public void setReleaseMethod(String releaseMethod) {
        this.releaseMethod = releaseMethod;
    }

    public Date getReleaseDate() {
        return releaseDate;
    }

    public void setReleaseDate(Date releaseDate) {
        this.releaseDate = releaseDate;
    }

    public Integer getReleaseDays() {
        return releaseDays;
    }

    public void setReleaseDays(Integer releaseDays) {
        this.releaseDays = releaseDays;
    }

    public Long getPurchContractBasicInfoHisId() {
        return purchContractBasicInfoHisId;
    }

    public void setPurchContractBasicInfoHisId(Long purchContractBasicInfoHisId) {
        this.purchContractBasicInfoHisId = purchContractBasicInfoHisId;
    }

    public String getReleaseTime() {
        return releaseTime;
    }

    public void setReleaseTime(String releaseTime) {
        this.releaseTime = releaseTime;
    }
}
